Wprowadzenie

Narzędzie HP Driver Deployment Utility (DDU) umożliwia administratorom utworzenie pakietu instalacyjnego sterowników, który zapewnia instalację niewymagającą obsługi przez użytkowników końcowych. Narzędzie obsługuje dodawanie sterowników drukowania do magazynu sterowników systemu Windows i tworzenie elementów w folderze Drukarki. Narzędzie HP Driver Deployment Utility obsługuje sterowniki drukowania przeznaczone do używania z kreatorem dodawania drukarki firmy Microsoft.Obowiązują wszystkie ograniczenia dotyczące certyfikacji firmy Microsoft.

Interfejs użytkownika składa się z 3 sekcji:

  1. Pakiet źródłowy opisuje typ pakietu i żądaną lokalizację sterowników.
  2. Pakiet docelowy określa nazwę i lokalizację pakietu instalacyjnego.
  3. Tworzenie pakietu inicjuje proces tworzenia pakietu.


Pakiet źródłowy

Katalog sterowników

Przycisk Wybierz sterownik… umożliwia wybranie pliku inf w katalogu sterowników za pomocą przeglądania katalogu lub wpisania nazwy pliku. Narzędzie tworzy plik wykonywalny ze wszystkich plików znalezionych w katalogu (i jego podkatalogach), dlatego może się w nim znajdować tylko jeden pakiet sterowników.W przypadku pobrania skompresowanego pakietu sterowników przed użyciem narzędzia należy go zdekompresować.

Czasami w katalogu mogą znajdować pliki inf wielu sterowników (niekiedy są to osobne pliki dla drukarek kolorowych i czarno-białych).W takim przypadku będzie wyświetlone dodatkowe okno dialogowe umożliwiające wybranie sterownika, który zostanie dołączony do pakietu.

Ponadto, jeśli katalog zawiera wiele plików, zostanie wyświetlone ostrzeżenie.Dzięki temu można zapobiec zapakowaniu więcej niż jednego sterownika.Jeśli w katalogu znajdują się wszystkie żądane lub wymagane pliki, możesz kontynuować.

Po wybraniu katalogu sterownika i znalezieniu jednego sterownika wyświetlane są informacje o sterowniku i katalogu.

W przypadku sterowników obsługujących wstępną konfigurację dostępne będzie następujące pole wyboru.Po wybraniu tego pola i kliknięciu przycisku Utwórz pakiet zostanie wyświetlone okno dialogowe.

Typ instalacji

Wstępne przekazanie sterownika — opcja przeznaczona dla użytkowników korzystających z bezpośredniego połączenia, takiego jak kabel USB. Zainstalowanie sterownika wymaga jeszcze wywołania w przyszłości zdarzenia typu Plug and Play, ale wszystkie potrzebne do tego pliki będą już zainstalowane w magazynie sterowników systemu Windows za pomocą tego pakietu.UWAGA:Jeśli dla urządzenia zostanie znalezionych kilka sterowników, to system operacyjny automatycznie określi, który z nich najlepiej pasuje do zdarzenia Plug and Play lub umożliwi użytkownikowi wybór sterownika w oknie dialogowym.

Domyślnie plik wykonywalny uruchamia okno dialogowe postępu.Aby je wyłączyć, uruchom plik wykonywalny, wpisując w wierszu polecenia „/q”. Aby na zakończenie instalacji wyświetlić komunikat monitujący użytkownika o podłączenie drukarki, zaznacz pole wyboru Wyświetlaj monit o podłączenie drukarki.

W przypadku drukarek z połączeniem sieciowym wybierz opcję Utwórz port sieciowy i zainstaluj sterownik.Gdy zostanie wyświetlony przycisk Ustawienia sieciowe, kliknij go i wprowadź wymagane ustawienia sieciowe.

Ustawienia sieciowe

Wymagane jest zidentyfikowanie drukarki sieciowej za pomocą jednej lub kilku z następujących metod.To narzędzie nie komunikuje się z urządzeniem w celu określenia, czy ustawienia są prawidłowe, ale umożliwia sprawdzenie składni. (Aby umożliwić ponowne wykrycie urządzenia, upewnij się, że określono adres sprzętowy).

Adres IP:

Wprowadź adres IPv4 lub IPv6 drukarki.

Adres sprzętowy:

Wprowadź adres sprzętowy drukarki.

Nazwa hosta:

Wprowadź nazwę hosta drukarki.

Istnieje możliwość określenia poniższych dodatkowych ustawień sieciowych. Można zaakceptować wstępnie wprowadzone wartości domyślne lub zmienić je.

Nazwa portu:

Jest to nazwa portu sieciowego, który zostanie utworzony.Jeśli taka nazwa już istnieje, zostanie dodana liczba, aby nazwa była unikatowa.

Nazwa drukarki:

Jest to nazwa drukarki, która będzie wyświetlana w folderze drukarek.Jeśli taka nazwa już istnieje, zostanie dodana liczba, aby nazwa była unikatowa.

Ustaw tę drukarkę jako domyślną:

Tak — spowoduje, że ta drukarka będzie domyślną drukarką podczas drukowania z innych aplikacji.

Nie — powoduje zachowanie dotychczasowej drukarki domyślnej, chyba że tylko ta drukarka jest zainstalowana.

Udostępnij tę drukarkę:

Tak — umożliwia używanie drukarki przez innych użytkowników.

Nazwa udziału:

Nazwa udziału drukarki.Włączona, tylko jeśli dla opcji Udostępnij tę drukarkę wybrano Tak.Jeśli taka nazwa już istnieje, zostanie dodana liczba, aby nazwa była unikatowa.


Pakiet docelowy

Wybierz przycisk Zapisz jako…, aby wprowadzić nazwę i lokalizację pakietu wyjściowego.Narzędzie utworzy pakiet w katalogu temp, a następnie przeniesie go do końcowej lokalizacji. Pakiet będzie zawierał dwa pliki, które muszą być dostarczone razem:plik exe oraz plik cab.

Do końcowej lokalizacji zostanie skopiowany również plik opisu xml zawierający szczegółowe informacje o pakiecie.Pakiet xml ma wyłącznie charakter informacyjny i nie jest używany przez narzędzie DDU podczas wykonywania.


Tworzenie pakietu

Po wprowadzeniu wszystkich powyższych informacji wybierz przycisk Utwórz pakiet.Przycisk będzie niedostępny, jeśli wszystkie wymagane informacje nie zostaną wprowadzone. Po wybraniu przycisku zostanie wyświetlony przycisk Anuluj i pasek postępu.

Aby zatrzymać tworzenie pakietu, wybierz przycisk Anuluj.

Plik wykonywalny zostanie uruchomiony z oknem dialogowym postępu i, jeśli będzie to wymagane, wyświetli się monit o bezpośrednie podłączenie drukarki.W przypadku błędu podczas wykonywania zostanie wyświetlone okno dialogowe błędu. Aby pominąć okno dialogowe błędu, zaznacz pole wyboru Pomijaj wszystkie komunikaty o błędach.


Uwagi dodatkowe:

Aby zamknąć aplikację, użyj przycisku Zamknij systemu Windows w prawym górnym rogu.


Obsługiwane systemy operacyjne

Microsoft Windows 2000

Microsoft Windows XP

Microsoft Windows XP (wersja 64-bitowa)

Microsoft Windows Server 2003/2008

Microsoft Windows Server 2003/2008 (wersja 64-bitowa)

Microsoft Windows Vista (wersja 64-bitowa)


Opcje wiersza polecenia

Pakiet dla użytkownika końcowego można modyfikować, dodając przełączniki wiersza polecenia. Przełączniki wiersza polecenia można łączyć, jeśli są one oddzielone spacjami. Jeśli wiersz polecenia zawiera błąd, taki jak błędny znak lub niewłaściwe formatowanie, wyświetlany jest komunikat o błędzie. Nieprawidłowe przełączniki wiersza polecenia są ignorowane. Następujące opisy wiersza polecenia są też dostępne (w języku angielskim) po uruchomieniu pakietu użytkownika końcowego poprzez wpisanie znaków „/?”.

Wstępnie załadowane pakiety obsługują następujące opcje wiersza polecenia:

/? wyświetlanie informacji o wierszu polecenia (tylko w języku angielskim)

/q pomijanie paska postępu

/p wyświetlanie monitu o podłączenie drukarki

/s pomijanie komunikatów o błędach użytkownika

Pakiety drukarki sieciowej obsługują następujące opcje wiersza polecenia:

/? wyświetlanie informacji o wierszu polecenia (tylko w języku angielskim)

/q pomijanie paska postępu

/s pomijanie komunikatów o błędach użytkownika

/ip <ip address> identyfikowanie drukarki za pomocą określonego adresu IP, na przykład /ip 120.25.5.56

/hw <hardware address> identyfikowanie drukarki za pomocą określonego adresu sprzętowego, na przykład /hw 0001E6299128

/hn <hostname> identyfikowanie drukarki za pomocą określonej nazwy hosta, na przykład /hn Myhostname

Nazwa hosta nie może być dłuższa niż 255 znaków i może zawierać jedynie następujące znaki:A-Z, a-z, 0-9 oraz kreska (-).

/pn <portname> użycie określonej nazwy jako nazwy portu, na przykład /pn HPPort

Nazwa portu nie może zawierać spacji, ani liczyć więcej niż 128 znaków.

/n ”<printername>” użycie określonej nazwy jako nazwy drukarki, na przykład /n "HP LaserJet 8150"

Nazwa drukarki musi być podana w cudzysłowie, nie może liczyć więcej niż 40 znaków ani zawierać następujących znaków specjalnych: ! # ,

/d ustawianie drukarki jako domyślnej

/sn ”<sharename>” włączanie udostępniania i używanie określonej nazwy jako nazwy udziału drukarki, na przykład /sn ”My shared HP LaserJet 8150”

Nazwa udziału musi być podana w cudzysłowie, nie może liczyć więcej niż 80 znaków ani zawierać następujących znaków specjalnych: / \ : ; “ ? * + = < > [ ]

© Copyright 2007-2008 Hewlett-Packard Development Company, L.P.